// SampleLeds.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include <windows.h> // used for MessageBox

// include this file only, but also copy the hid*.h files.
#include "mpt.h" 

// the following defines the port and bit numbers for each led
#define L1 0,5
#define L2 0,4
#define L3 0,7
#define L4 0,6
#define LP 1,1
#define LS 1,3


int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
   MptDeviceInformation mpt;
   
   // init library
   InitMptLibraries();
   
   // init device
   try
   {
      HANDLE h;
      h = OpenFirstMptDevice(&mpt);
   }
   catch(...)
   {
      MessageBox(NULL, "Unexpected error - is the device connected ?", "Sample", MB_ICONSTOP|MB_OK);
      return 0;
   }
   
   
   // set intensity for leds
   SetISink(&mpt, L1, 15);
   SetISink(&mpt, L2, 15);
   SetISink(&mpt, L3, 15);
   SetISink(&mpt, L4, 15);
   SetISink(&mpt, LS, 15);
   SetISink(&mpt, LP, 15);
   
   // turn and on\off the leds
   unsigned char fShow = 0;
   for (int i=0; i<50; i++)
   {
      fShow = !fShow;
      SetDataBit(&mpt, L1, fShow);
      SetDataBit(&mpt, L2, fShow);
      SetDataBit(&mpt, L3, fShow);
      SetDataBit(&mpt, L4, !fShow);
      SetDataBit(&mpt, LS, !fShow);
      SetDataBit(&mpt, LP, !fShow);
      
      Sleep (300);
   }
   
   // turn off all leds
   SetDataBit(&mpt, L1, 0);
   SetDataBit(&mpt, L2, 0);
   SetDataBit(&mpt, L3, 0);
   SetDataBit(&mpt, L4, 0);
   SetDataBit(&mpt, LS, 0);
   SetDataBit(&mpt, LP, 0);

   // close device
   CloseMptDevice(&mpt);
   
   return 0;
}



